	cpu LMM
	.module main.c
	.area text(rom, con, rel)
	.dbfile ./main.c
	.dbfunc e main _main fV
_main::
	.dbline -1
	.dbline 9
; //----------------------------------------------------------------------------
; // C main line
; //----------------------------------------------------------------------------
; 
; #include <m8c.h>        // part specific constants and macros
; #include "PSoCAPI.h"    // PSoC API definitions for all User Modules
; 
; void main()
; {
	.dbline 11
; 
;     M8C_EnableGInt;                    // Enable Global Int
		or  F, 01h

	.dbline 13
; 
;     CSD_Start();                       // Start CSD   
	push X
	xcall _CSD_Start
	.dbline 14
;     CSD_InitializeBaselines() ;        // Scan all sensors first time, init baseline
	xcall _CSD_InitializeBaselines
	.dbline 15
;     CSD_SetDefaultFingerThresholds() ; // Set CSD Default Finger Thresholds
	xcall _CSD_SetDefaultFingerThresholds
	pop X
	xjmp L3
L2:
	.dbline 17
;  
;     while(1){
	.dbline 19
;        
;         CSD_ScanAllSensors();          // Scan all sensors, scan proximity sensor node  
	push X
	xcall _CSD_ScanAllSensors
	.dbline 20
;         CSD_UpdateAllBaselines();      //Update all baseline levels;   
	xcall _CSD_UpdateAllBaselines
	.dbline 22
; 
; 	    if(CSD_bIsAnySensorActive()){  // Check if any sensor is active state
	xcall _CSD_bIsAnySensorActive
	mov REG[0xd0],>__r0
	pop X
	cmp A,0
	jz L5
	.dbline 22
	.dbline 23
;             LED_RED_On();              // Finger detected, turn Red-RED on 
	push X
	xcall _LED_RED_On
	.dbline 24
;             LED_GREEN_Off();           // turn Green-LED off
	xcall _LED_GREEN_Off
	pop X
	.dbline 25
;         }
	xjmp L6
L5:
	.dbline 26
;         else{                          // finger is not detected
	.dbline 27
;             LED_RED_Off();             // turn Red-LED off
	push X
	xcall _LED_RED_Off
	.dbline 28
;             LED_GREEN_On();            // turn Green-Led on
	xcall _LED_GREEN_On
	pop X
	.dbline 29
;         }       
L6:
	.dbline 30
L3:
	.dbline 17
	xjmp L2
X0:
	.dbline -2
	.dbline 31
;     }
; }
L1:
	.dbline 0 ; func end
	jmp .
	.dbend
