	cpu LMM
	.module main.c
	.area text(rom, con, rel)
	.dbfile ./main.c
	.dbfunc e main _main fV
;       position -> X+0
_main::
	.dbline -1
	push X
	mov X,SP
	add SP,2
	.dbline 10
; 
; //----------------------------------------------------------------------------
; // C main line
; //----------------------------------------------------------------------------
; 
; #include <m8c.h>        // part specific constants and macros
; #include "PSoCAPI.h"    // PSoC API definitions for all User Modules
; 
; void main()
; {
	.dbline 13
;     unsigned int position;
;     
;     M8C_EnableGInt;
		or  F, 01h

	.dbline 14
;     PWM8_Start();
	push X
	xcall _PWM8_Start
	.dbline 16
;     
;     CSD_Start();
	xcall _CSD_Start
	.dbline 17
;     CSD_InitializeBaselines();
	xcall _CSD_InitializeBaselines
	.dbline 18
;     CSD_SetDefaultFingerThresholds();
	xcall _CSD_SetDefaultFingerThresholds
	pop X
	xjmp L3
L2:
	.dbline 20
;     
;     while(1){
	.dbline 22
;     
;         CSD_ScanAllSensors();
	push X
	xcall _CSD_ScanAllSensors
	.dbline 23
;         CSD_UpdateAllBaselines();
	xcall _CSD_UpdateAllBaselines
	.dbline 24
;         position = CSD_wGetCentroidPos(1);
	mov A,1
	xcall _CSD_wGetCentroidPos
	mov REG[0xd0],>__r0
	mov [__r0],X
	pop X
	mov [X+1],A
	mov A,[__r0]
	mov [X+0],A
	.dbline 26
;         
;         if(position != 0xFFFF){
	cmp [X+0],-1
	jnz X1
	cmp [X+1],-1
	jz L5
X1:
	.dbline 26
	.dbline 27
;             PWM8_WritePulseWidth((unsigned char)position);
	mov REG[0xd0],>__r0
	mov A,[X+1]
	push X
	xcall _PWM8_WritePulseWidth
	pop X
	.dbline 28
;         }
L5:
	.dbline 29
L3:
	.dbline 20
	xjmp L2
X0:
	.dbline -2
	.dbline 30
;     }
; }
L1:
	add SP,-2
	pop X
	.dbline 0 ; func end
	jmp .
	.dbsym l position 0 i
	.dbend
